Bug 864083 - Possible weakness in pid checking preventing rsyslogd starting ... ?
Possible weakness in pid checking preventing rsyslogd starting ... ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Heinrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 10:25 EDT by Tom London
Modified: 2016-09-20 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:29:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2012-10-08 10:25:03 EDT
Description of problem:
rsyslogd checks for the existence of the pidfile '/var/run/syslog.pid', and checks for the existence of the process with the pid contained in that file.

But, my quick check of the source didn't find that it checks to see if that running process actually is 'rsyslogd' (e.g., by checking /proc/PID/comm=="rsyslogd").

It may be a stretch, but I believe if my system does a 'hard shutdown' leaving /var/run/syslog.pid and if subsequent reboots start rsyslogd with a different pid, I get "Pidfile (and pid) already exist." spew if there is a running process with rsyslogd's old pid.

The only workaround I found was to boot single user, remove /var/run/syslog.pid and reboot.

Version-Release number of selected component (if applicable):
rsyslog-5.8.11-3.fc18.x86_64

How reproducible:
Often, if I have to do a hard, "power off" shutdown.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2012-10-19 13:25:53 EDT
Well this might not be a valid problem since /var/run is supposed to be a symlink to /run and /run is now a tmpfs.
Comment 2 Tom London 2012-10-20 12:22:12 EDT
Well, this was caused by my misconfigured system: /var/run was not a symbolic link to /run, so syslog.pid persisted through reboots.

Not sure if fixing the config is a complete solution: I could imagine wanting to restart rsyslogd (say, after it crashes, etc.).

But guessing this would be an upstream issue at best.
Comment 3 Fedora End Of Life 2013-12-21 04:04:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 07:29:47 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.